package ibase.dashboard.scm.ejb;

import java.rmi.RemoteException;
import ibase.webitm.ejb.ValidatorRemote;
import ibase.webitm.utility.ITMException;
import javax.ejb.Remote;
import org.json.simple.JSONObject;
@Remote
public interface SalesPerformanceTwoRemote extends ValidatorRemote
{
	public JSONObject getAllIndiaTopBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getCNSDivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getCVDDivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getGIPAINDivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getGYNAECDivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getOPTHALDivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getOtherDivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getURODivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getONCODivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getDERMADivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
	public JSONObject getRESPDivisionBrandData(String dataSourceName, String month, String topNos) throws RemoteException, ITMException;
}

